<nz-spin [nzSpinning]="isLoading">
  <app-main-layout [title]="'Événements de l\'atelier ' + workshop?.name" [breadCrumbs]="['Manager', 'Événements de l\'atelier ', workshop?.name]">
    <ng-container *ngIf="!isLoading">
      <nz-collapse>
        <nz-collapse-panel nzHeader="Créer un événement pour cet atelier">
          <form [formGroup]="eventForm" nz-form nzLayout="vertical" (ngSubmit)="addEvent()">

            <nz-form-item>
              <nz-form-label nzRequired>Date de début</nz-form-label>
              <nz-form-control nzHasFeedback>
                <nz-date-picker
                  [nzShowTime]="{nzFormat: 'HH:mm'}"
                  nzFormat="dd/MM/yyyy HH:mm"
                  nzPlaceHolder="Choisir un jour et une heure"
                  formControlName="startDate"
                ></nz-date-picker>
              </nz-form-control>
            </nz-form-item>

            <nz-form-item>
              <nz-form-label nzRequired>Date de fin</nz-form-label>
              <nz-form-control nzHasFeedback>
                <nz-date-picker
                  [nzShowTime]="{nzFormat: 'HH:mm'}"
                  nzFormat="dd/MM/yyyy HH:mm"
                  nzPlaceHolder="Choisir un jour et une heure"
                  formControlName="endDate"
                ></nz-date-picker>
              </nz-form-control>
            </nz-form-item>

            <nz-form-item>
              <nz-form-label nzRequired>Adresse url réunion </nz-form-label>
              <nz-form-control>
                <input formControlName="link" nz-input type="text"/>
              </nz-form-control>
            </nz-form-item>

            <nz-form-item>
              <nz-form-label nzRequired>Id réunion</nz-form-label>
              <nz-form-control>
                <input formControlName="camLink" nz-input type="text"/>
              </nz-form-control>
            </nz-form-item>

            <nz-form-item>
              <nz-form-label>Publié</nz-form-label>
              <nz-form-control>
                <nz-switch formControlName="published"></nz-switch>
              </nz-form-control>
            </nz-form-item>

            <nz-form-item>
              <nz-form-label>Taille max ? oui / non</nz-form-label>
              <nz-form-control>
                <nz-switch formControlName="maxSizedActivated"></nz-switch>
              </nz-form-control>
            </nz-form-item>

            <nz-form-item *ngIf="eventForm.get('maxSizedActivated').value === true">
              <nz-form-label>Taille maximale</nz-form-label>
              <nz-form-control>
                <input nz-input type="number" formControlName="maxSize"/>
              </nz-form-control>
            </nz-form-item>

            <!--<nz-form-item>
              <nz-form-label>Ouvert à tous les membres ?</nz-form-label>
              <nz-form-control>
                <nz-switch formControlName="openToAll"></nz-switch>
              </nz-form-control>
            </nz-form-item>-->

            <nz-form-item>
              <nz-form-control>
                <button [disabled]="eventForm.invalid" nz-button nzType="primary">Sauver2</button>
              </nz-form-control>
            </nz-form-item>

          </form>
        </nz-collapse-panel>
      </nz-collapse>
      <nz-divider></nz-divider>
      <div nz-row *ngIf="workshop">
        <div nz-col nzSpan="24">
          <app-cruder [service]="myOrganizationEventsService" type="" [other]="workshop"></app-cruder>
        </div>
      </div>
    </ng-container>
  </app-main-layout>
</nz-spin>
